aboutsummaryrefslogtreecommitdiffstats
path: root/app/test/verify.sh
diff options
context:
space:
mode:
authoryayogev <yaronyogev@gmail.com>2017-08-23 18:05:08 +0300
committeryayogev <yaronyogev@gmail.com>2017-08-23 18:07:18 +0300
commit6171f3d6754496c966812bd50134111ae67418a4 (patch)
treec114072414ef4eb54990fe574597f59846ed4f7f /app/test/verify.sh
parent2b7d3add81ac79e39d7cef6e7ccdac4e00dcbf77 (diff)
move verification into a shell script
Change-Id: Id9404859ddb9d55122aa59b6c32b440a6f10288e Signed-off-by: yayogev <yaronyogev@gmail.com>
Diffstat (limited to 'app/test/verify.sh')
-rw-r--r--app/test/verify.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/app/test/verify.sh b/app/test/verify.sh
new file mode 100644
index 0000000..df48cf3
--- /dev/null
+++ b/app/test/verify.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+###############################################################################
+# Copyright (c) 2017 Koren Lev (Cisco Systems), Yaron Yogev (Cisco Systems) #
+# and others #
+# #
+# All rights reserved. This program and the accompanying materials #
+# are made available under the terms of the Apache License, Version 2.0 #
+# which accompanies this distribution, and is available at #
+# http://www.apache.org/licenses/LICENSE-2.0 #
+###############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+PYTHONPATH=$PWD/app python -m unittest discover -s app/test/fetch